Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinBase

    java.lang.Object
      com.sun.jna.platform.win32.WinBase

    public abstract class WinBase

extends java.lang.Object

Ported from Winbase.h. Microsoft Windows SDK 6.0A.

Nested Class Summary
`static class` | `WinBase.FILETIME` The FILETIME structure is a 64-bit value representing the number of 100-nanosecond intervals since January 1, 1601 (UTC).
`static class` | `WinBase.MEMORYSTATUSEX` Contains information about the current state of both physical and virtual memory, including extended memory.
`static class` | `WinBase.OVERLAPPED` The OVERLAPPED structure contains information used in asynchronous (or overlapped) input and output (I/O).
`static class` | `WinBase.SYSTEM_INFO` Contains information about the current computer system.
`static class` | `WinBase.SYSTEMTIME` Specifies a date and time, using individual members for the month, day, year, weekday, hour, minute, second, and millisecond.

Field Summary
`static int` | `DRIVE_CDROM` The drive is a CD-ROM drive.
`static int` | `DRIVE_FIXED` The drive is a type that cannot be removed, for example, a fixed hard drive.
`static int` | `DRIVE_NO_ROOT_DIR` The root path is invalid, for example, no volume is mounted at the path.
`static int` | `DRIVE_RAMDISK` The drive is a RAM disk.
`static int` | `DRIVE_REMOTE` The drive is a remote (network) drive.
`static int` | `DRIVE_REMOVABLE` The drive is a type that has removable media, for example, a floppy drive or removable hard disk.
`static int` | `DRIVE_UNKNOWN` The drive type cannot be determined.
`static int` | `FORMAT_MESSAGE_ALLOCATE_BUFFER` The lpBuffer parameter is a pointer to a PVOID pointer, and that the nSize parameter specifies the minimum number of TCHARs to allocate for an output message buffer.
`static int` | `FORMAT_MESSAGE_ARGUMENT_ARRAY` The Arguments parameter is not a va_list structure, but is a pointer to an array of values that represent the arguments.
`static int` | `FORMAT_MESSAGE_FROM_HMODULE` The lpSource parameter is a module handle containing the message-table resource(s) to search.
`static int` | `FORMAT_MESSAGE_FROM_STRING` The lpSource parameter is a pointer to a null-terminated message definition.
`static int` | `FORMAT_MESSAGE_FROM_SYSTEM` The function should search the system message-table resource(s) for the requested message.
`static int` | `FORMAT_MESSAGE_IGNORE_INSERTS` Insert sequences in the message definition are to be ignored and passed through to the output buffer unchanged.
`static int` | `INFINITE`
`static WinNT.HANDLE` | `INVALID_HANDLE_VALUE` Constant value representing an invalid HANDLE.
`static int` | `LHND`
`static int` | `LMEM_DISCARDABLE`
`static int` | `LMEM_DISCARDED`
`static int` | `LMEM_FIXED`
`static int` | `LMEM_INVALID_HANDLE`
`static int` | `LMEM_LOCKCOUNT`
`static int` | `LMEM_MODIFY`
`static int` | `LMEM_MOVEABLE`
`static int` | `LMEM_NOCOMPACT`
`static int` | `LMEM_NODISCARD`
`static int` | `LMEM_VALID_FLAGS`
`static int` | `LMEM_ZEROINIT`
`static int` | `LOGON32_LOGON_BATCH` This logon type is intended for batch servers, where processes may be executing on behalf of a user without their direct intervention.
`static int` | `LOGON32_LOGON_INTERACTIVE` This logon type is intended for users who will be interactively using the computer, such as a user being logged on by a terminal server, remote shell, or similar process.
`static int` | `LOGON32_LOGON_NETWORK` This logon type is intended for high performance servers to authenticate plaintext passwords.
`static int` | `LOGON32_LOGON_NETWORK_CLEARTEXT` This logon type preserves the name and password in the authentication package, which allows the server to make connections to other network servers while impersonating the client.
`static int` | `LOGON32_LOGON_NEW_CREDENTIALS` This logon type allows the caller to clone its current token and specify new credentials for outbound connections.
`static int` | `LOGON32_LOGON_SERVICE` Indicates a service-type logon.
`static int` | `LOGON32_LOGON_UNLOCK` This logon type is for GINA DLLs that log on users who will be interactively using the computer.
`static int` | `LOGON32_PROVIDER_DEFAULT` Use the standard logon provider for the system.
`static int` | `LOGON32_PROVIDER_WINNT35` Use the Windows NT 3.5 logon provider.
`static int` | `LOGON32_PROVIDER_WINNT40` Use the NTLM logon provider.
`static int` | `LOGON32_PROVIDER_WINNT50` Use the negotiate logon provider.
`static int` | `LPTR`
`static int` | `WAIT_ABANDONED`
`static int` | `WAIT_ABANDONED_0`
`static int` | `WAIT_FAILED`
`static int` | `WAIT_OBJECT_0`

Constructor Summary
`WinBase()`

Method Summary
`static int` | `MAX_COMPUTERNAME_LENGTH()` Maximum computer name length.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID_HANDLE_VALUE

    public static WinNT.HANDLE INVALID_HANDLE_VALUE

  Constant value representing an invalid HANDLE.

### WAIT_FAILED

    public static final int WAIT_FAILED

See Also:
  Constant Field Values

### WAIT_OBJECT_0

    public static final int WAIT_OBJECT_0

See Also:
  Constant Field Values

### WAIT_ABANDONED

    public static final int WAIT_ABANDONED

See Also:
  Constant Field Values

### WAIT_ABANDONED_0

    public static final int WAIT_ABANDONED_0

See Also:
  Constant Field Values

### LOGON32_LOGON_INTERACTIVE

    public static final int LOGON32_LOGON_INTERACTIVE

  This logon type is intended for users who will be interactively using the computer, such as a user being logged on by a terminal server, remote shell, or similar process. This logon type has the additional expense of caching logon information for disconnected operations; therefore, it is inappropriate for some client/server applications, such as a mail server.

  See Also:
    Constant Field Values

### LOGON32_LOGON_NETWORK

    public static final int LOGON32_LOGON_NETWORK

  This logon type is intended for high performance servers to authenticate plaintext passwords. The LogonUser function does not cache credentials for this logon type.

  See Also:
    Constant Field Values

### LOGON32_LOGON_BATCH

    public static final int LOGON32_LOGON_BATCH

  This logon type is intended for batch servers, where processes may be executing on behalf of a user without their direct intervention. This type is also for higher performance servers that process many plaintext authentication attempts at a time, such as mail or Web servers. The LogonUser function does not cache credentials for this logon type.

  See Also:
    Constant Field Values

### LOGON32_LOGON_SERVICE

    public static final int LOGON32_LOGON_SERVICE

  Indicates a service-type logon. The account provided must have the service privilege enabled.

  See Also:
    Constant Field Values

### LOGON32_LOGON_UNLOCK

    public static final int LOGON32_LOGON_UNLOCK

  This logon type is for GINA DLLs that log on users who will be interactively using the computer. This logon type can generate a unique audit record that shows when the workstation was unlocked.

  See Also:
    Constant Field Values

### LOGON32_LOGON_NETWORK_CLEARTEXT

    public static final int LOGON32_LOGON_NETWORK_CLEARTEXT

  This logon type preserves the name and password in the authentication package, which allows the server to make connections to other network servers while impersonating the client. A server can accept plaintext credentials from a client, call LogonUser, verify that the user can access the system across the network, and still communicate with other servers.

  See Also:
    Constant Field Values

### LOGON32_LOGON_NEW_CREDENTIALS

    public static final int LOGON32_LOGON_NEW_CREDENTIALS

  This logon type allows the caller to clone its current token and specify new credentials for outbound connections. The new logon session has the same local identifier but uses different credentials for other network connections. This logon type is supported only by the LOGON32_PROVIDER_WINNT50 logon provider.

  See Also:
    Constant Field Values

### LOGON32_PROVIDER_DEFAULT

    public static final int LOGON32_PROVIDER_DEFAULT

  Use the standard logon provider for the system. The default security provider is negotiate, unless you pass NULL for the domain name and the user name is not in UPN format. In this case, the default provider is NTLM.

  See Also:
    Constant Field Values

### LOGON32_PROVIDER_WINNT35

    public static final int LOGON32_PROVIDER_WINNT35

  Use the Windows NT 3.5 logon provider.

  See Also:
    Constant Field Values

### LOGON32_PROVIDER_WINNT40

    public static final int LOGON32_PROVIDER_WINNT40

  Use the NTLM logon provider.

  See Also:
    Constant Field Values

### LOGON32_PROVIDER_WINNT50

    public static final int LOGON32_PROVIDER_WINNT50

  Use the negotiate logon provider.

  See Also:
    Constant Field Values

### LMEM_FIXED

    public static final int LMEM_FIXED

See Also:
  Constant Field Values

### LMEM_MOVEABLE

    public static final int LMEM_MOVEABLE

See Also:
  Constant Field Values

### LMEM_NOCOMPACT

    public static final int LMEM_NOCOMPACT

See Also:
  Constant Field Values

### LMEM_NODISCARD

    public static final int LMEM_NODISCARD

See Also:
  Constant Field Values

### LMEM_ZEROINIT

    public static final int LMEM_ZEROINIT

See Also:
  Constant Field Values

### LMEM_MODIFY

    public static final int LMEM_MODIFY

See Also:
  Constant Field Values

### LMEM_DISCARDABLE

    public static final int LMEM_DISCARDABLE

See Also:
  Constant Field Values

### LMEM_VALID_FLAGS

    public static final int LMEM_VALID_FLAGS

See Also:
  Constant Field Values

### LMEM_INVALID_HANDLE

    public static final int LMEM_INVALID_HANDLE

See Also:
  Constant Field Values

### LHND

    public static final int LHND

See Also:
  Constant Field Values

### LPTR

    public static final int LPTR

See Also:
  Constant Field Values

### LMEM_DISCARDED

    public static final int LMEM_DISCARDED

See Also:
  Constant Field Values

### LMEM_LOCKCOUNT

    public static final int LMEM_LOCKCOUNT

See Also:
  Constant Field Values

### FORMAT_MESSAGE_ALLOCATE_BUFFER

    public static final int FORMAT_MESSAGE_ALLOCATE_BUFFER

  The lpBuffer parameter is a pointer to a PVOID pointer, and that the nSize parameter specifies the minimum number of TCHARs to allocate for an output message buffer. The function allocates a buffer large enough to hold the formatted message, and places a pointer to the allocated buffer at the address specified by lpBuffer. The caller should use the LocalFree function to free the buffer when it is no longer needed.

  See Also:
    Constant Field Values

### FORMAT_MESSAGE_IGNORE_INSERTS

    public static final int FORMAT_MESSAGE_IGNORE_INSERTS

  Insert sequences in the message definition are to be ignored and passed through to the output buffer unchanged. This flag is useful for fetching a message for later formatting. If this flag is set, the Arguments parameter is ignored.

  See Also:
    Constant Field Values

### FORMAT_MESSAGE_FROM_STRING

    public static final int FORMAT_MESSAGE_FROM_STRING

  The lpSource parameter is a pointer to a null-terminated message definition. The message definition may contain insert sequences, just as the message text in a message table resource may. Cannot be used with FORMAT_MESSAGE_FROM_HMODULE or FORMAT_MESSAGE_FROM_SYSTEM.

  See Also:
    Constant Field Values

### FORMAT_MESSAGE_FROM_HMODULE

    public static final int FORMAT_MESSAGE_FROM_HMODULE

  The lpSource parameter is a module handle containing the message-table resource(s) to search. If this lpSource handle is NULL, the current process's application image file will be searched. Cannot be used with FORMAT_MESSAGE_FROM_STRING.

  See Also:
    Constant Field Values

### FORMAT_MESSAGE_FROM_SYSTEM

    public static final int FORMAT_MESSAGE_FROM_SYSTEM

  The function should search the system message-table resource(s) for the requested message. If this flag is specified with FORMAT_MESSAGE_FROM_HMODULE, the function searches the system message table if the message is not found in the module specified by lpSource. Cannot be used with FORMAT_MESSAGE_FROM_STRING. If this flag is specified, an application can pass the result of the GetLastError function to retrieve the message text for a system-defined error.

  See Also:
    Constant Field Values

### FORMAT_MESSAGE_ARGUMENT_ARRAY

    public static final int FORMAT_MESSAGE_ARGUMENT_ARRAY

  The Arguments parameter is not a va_list structure, but is a pointer to an array of values that represent the arguments. This flag cannot be used with 64-bit argument values. If you are using 64-bit values, you must use the va_list structure.

  See Also:
    Constant Field Values

### DRIVE_UNKNOWN

    public static final int DRIVE_UNKNOWN

  The drive type cannot be determined.

  See Also:
    Constant Field Values

### DRIVE_NO_ROOT_DIR

    public static final int DRIVE_NO_ROOT_DIR

  The root path is invalid, for example, no volume is mounted at the path.

  See Also:
    Constant Field Values

### DRIVE_REMOVABLE

    public static final int DRIVE_REMOVABLE

  The drive is a type that has removable media, for example, a floppy drive or removable hard disk.

  See Also:
    Constant Field Values

### DRIVE_FIXED

    public static final int DRIVE_FIXED

  The drive is a type that cannot be removed, for example, a fixed hard drive.

  See Also:
    Constant Field Values

### DRIVE_REMOTE

    public static final int DRIVE_REMOTE

  The drive is a remote (network) drive.

  See Also:
    Constant Field Values

### DRIVE_CDROM

    public static final int DRIVE_CDROM

  The drive is a CD-ROM drive.

  See Also:
    Constant Field Values

### DRIVE_RAMDISK

    public static final int DRIVE_RAMDISK

  The drive is a RAM disk.

  See Also:
    Constant Field Values

### INFINITE

    public static final int INFINITE

See Also:
  Constant Field Values

Constructor Detail

### WinBase

    public WinBase()

Method Detail

### MAX_COMPUTERNAME_LENGTH

    public static int MAX_COMPUTERNAME_LENGTH()

  Maximum computer name length.

  Returns:
    15 on MAC, 31 on everything else.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD